Bug 1120283 - GNOME Classic fails to start if gnome-classic.desktop has GNOME-Classic in DesktopNames
Summary: GNOME Classic fails to start if gnome-classic.desktop has GNOME-Classic in De...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 15:56 UTC by poma
Modified: 2014-08-22 01:15 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 08:28:32 UTC


Attachments (Terms of Use)
GNOME lightsomeness (40.54 KB, text/plain)
2014-07-16 15:57 UTC, poma
no flags Details
GNOME Classic darkness (34.84 KB, text/plain)
2014-07-16 15:58 UTC, poma
no flags Details
gnome-classic.desktop display manager start up (375 bytes, patch)
2014-07-17 11:13 UTC, poma
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 729575 None None None Never

Description poma 2014-07-16 15:56:13 UTC

Comment 1 poma 2014-07-16 15:57:32 UTC
Created attachment 918458 [details]
GNOME lightsomeness

Comment 2 poma 2014-07-16 15:58:34 UTC
Created attachment 918459 [details]
GNOME Classic darkness

Comment 3 poma 2014-07-16 16:06:00 UTC
How to explain simpler than that.

Comment 4 poma 2014-07-17 07:56:34 UTC
$ rpm -q --whatprovides /usr/share/xsessions/gnome-classic.desktop
gnome-classic-session-3.13.3-1.fc21.noarch

$ rpm -q --qf "%{SOURCERPM}\n" gnome-classic-session
gnome-shell-extensions-3.13.3-1.fc21.src.rpm

Comment 5 poma 2014-07-17 08:06:19 UTC
GNOME Classic i.e. 
Exec=env GNOME_SHELL_SESSION_MODE=classic gnome-session --session gnome-classic
doesn't properly run with 'gdm', either with 'lightdm'.

Everhow it works via 'multi-user.target' i.e. 

/usr/bin/startgnomeclassic
#!/bin/sh
tty_num=$(echo $(tty | grep -o '[0-9]'))
gnome_classic=$(echo /bin/env GNOME_SHELL_SESSION_MODE=classic /bin/gnome-session --session gnome-classic)
xinit ${gnome_classic} -- vt${tty_num}

# systemctl isolate multi-user.target
$ startgnomeclassic

Comment 6 poma 2014-07-17 08:22:16 UTC
Diff in the 'ps' output - started via 'gdm'/'lightm'

- gnome-session:
gnome-pty-helper
/usr/bin/gnome-shell
/usr/bin/gnome-software
/usr/bin/ibus-daemon
/usr/lib64/tumbler-1/tumblerd
/usr/libexec/evolution-calendar-factory
/usr/libexec/evolution-source-registry
/usr/libexec/gnome-settings-daemon
/usr/libexec/gnome-shell-calendar-server
/usr/libexec/gnome-terminal-server
/usr/libexec/goa-daemon
/usr/libexec/gsd-printer
/usr/libexec/gvfs-afc-volume-monitor
/usr/libexec/gvfs-gphoto2-volume-monitor
/usr/libexec/gvfs-mtp-volume-monitor
/usr/libexec/gvfs-udisks2-volume-monitor
/usr/libexec/ibus-dconf
/usr/libexec/ibus-engine-simple
/usr/libexec/ibus-x11
/usr/libexec/tracker-extract
/usr/libexec/tracker-miner-fs
/usr/libexec/tracker-store

- gnome-session --session gnome-classic:
/usr/bin/python
/usr/bin/ssh-agent
/usr/libexec/imsettings-daemon
/usr/libexec/lxpolkit

Comment 7 poma 2014-07-17 08:58:09 UTC
From LightDM perspective everything looks OK, 
/var/log/lightdm/lightdm.log
...
[+25.66s] DEBUG: Session pid=2367: Continue authentication
[+25.71s] DEBUG: Session pid=2392: Authentication complete with return value 0: Success
[+25.71s] DEBUG: Session pid=2367: Authenticate result for user poma: Success
[+25.71s] DEBUG: Session pid=2367: User poma authorized
[+25.71s] DEBUG: Session pid=2367: Greeter sets language en_US.utf8
[+25.74s] DEBUG: Session pid=2367: Greeter requests session gnome-classic
[+25.83s] DEBUG: Writing /home/poma/.dmrc
[+25.92s] DEBUG: Seat: Stopping greeter; display server will be re-used for user session
[+25.92s] DEBUG: Session pid=2367: Sending SIGTERM
[+25.92s] DEBUG: User /org/freedesktop/Accounts/User1000 changed
[+25.96s] DEBUG: Session pid=2367: Greeter closed communication channel
[+25.96s] DEBUG: Session pid=2367: Exited with return value 0
[+25.96s] DEBUG: Seat: Session stopped
[+25.96s] DEBUG: Seat: Greeter stopped, running session
[+25.96s] DEBUG: Registering session with bus path /org/freedesktop/DisplayManager/Session0
[+25.97s] DEBUG: Session pid=2392: Running command /etc/X11/xinit/Xsession env GNOME_SHELL_SESSION_MODE=classic gnome-session --session gnome-classic
[+25.97s] DEBUG: Creating shared data directory /var/lib/lightdm-data/poma
[+25.97s] DEBUG: Session pid=2392: Logging to .xsession-errors
[+26.00s] DEBUG: Activating VT 1
[+26.00s] DEBUG: Activating login1 session /org/freedesktop/login1/session/_34
[+27.52s] DEBUG: User /org/freedesktop/Accounts/User1000 changed
[+27.54s] DEBUG: User /org/freedesktop/Accounts/User1003 changed

But as seen from above mentioned 'ps' output, for some reason 'gnome-shell' ain't started.

Comment 8 poma 2014-07-17 11:13:43 UTC
Created attachment 918676 [details]
gnome-classic.desktop display manager start up

Comment 9 poma 2014-07-17 11:14:24 UTC
Comment on attachment 918676 [details]
gnome-classic.desktop display manager start up


This is referential commit
"data: Add DesktopNames to the session file"
https://git.gnome.org/browse/gnome-shell-extensions/commit/data/gnome-classic.desktop.in?id=110e747

Comment 10 Adam Williamson 2014-07-18 19:18:53 UTC
I confirmed the bug and that the change poma suggests fixes it. This is clearly a valid bug, should stay open. Reported upstream as https://bugzilla.gnome.org/show_bug.cgi?id=733376 .

Comment 11 Adam Williamson 2014-07-18 21:21:53 UTC
Per the updated upstream bug, this was fixed in git but no release of gnome-session has been made, so it's not fixed in the 3.13 releases. they'll cut either a 3.13.3 or 3.13.4 release soon, and this'll be fixed when that makes it to F21/Rawhide.

Comment 12 Adam Williamson 2014-08-22 01:15:27 UTC
3.13.3 hit F21 and Rawhide on July 18th.


Note You need to log in before you can comment on or make changes to this bug.